package com.blueland.dao;

/**
 * @author 代码自动生成工具
 * @version 1.0
 * @since
 */

import java.util.List;
import java.util.Map;

import com.baomidou.mybatisplus.annotation.InterceptorIgnore;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.blueland.model.TPfDict;
import org.apache.ibatis.annotations.Mapper;

import com.blueland.bo.DictEntity;
import org.apache.ibatis.annotations.Param;


@Mapper
public interface DictDao extends BaseMapper<TPfDict> {

    /**
     * 根据条件查询查询字典列表
     */
    List<DictEntity> findDictPageListByParams(@Param("bo") Map<String, Object> dict);

    Page<DictEntity> findDictPagePageByParams(@Param("page") Page<DictEntity> page, @Param("bo") Map<String, Object> dict);

    /**
     * 新增dict
     *
     * @param dict
     * @return
     */
    public int insertDict(DictEntity dict);

    /**
     * 修改dict
     *
     * @param dict
     * @return
     */
    public int updateDict(DictEntity dict);

    /**
     * 刪除dict
     *
     * @param id
     * @return
     */
    public int deleteDictById(String id);

    /**
     * 刪除dict
     *
     * @param dictCode
     * @return
     */
    public int deleteDicts(String dictCode);

    @InterceptorIgnore(tenantLine = "true")
    List<DictEntity> getList(@Param("appId") String appId);

    @InterceptorIgnore(tenantLine = "true")
    void deleteDictByAppId(@Param("appId")String appId);

    List<DictEntity> getDictList();

    List<DictEntity> getDictListByCode(@Param("code") String code, @Param("parentCode") String parentCode);

    /**
     * 根据ids获取字典
     *
     * @param ids
     * @return
     */
    List<DictEntity> findByIds(@Param("ids") String[] ids);

    List<DictEntity> findDictPageListByAppId(@Param("appId") String appId);

    List<DictEntity> findList(@Param("bo") DictEntity bo);

    Page<DictEntity> findPage(@Param("page") Page<DictEntity> page, @Param("bo") DictEntity entity);
}
